Last Comment Bug 630990 - [getpersonas] Update production on 2/8 @ 1500
: [getpersonas] Update production on 2/8 @ 1500
Status: VERIFIED FIXED
[02/08/2011 @ 3pm]
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-02 12:48 PST by Wil Clouser [:clouserw]
Modified: 2013-10-09 10:29 PDT (History)
9 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Wil Clouser [:clouserw] 2011-02-02 12:48:32 PST
This update pulls in a pile of fixes.  It should be fairly uneventful, except people won't be able to log in while the upgrade script runs (which will take 1-2 hours).  That's why I have this starting at 1500, but we're flexible.

The upgrade itself is easy:

1) `svn revert -R; svn up`
2) alter table users change column md5 md5 varbinary(255) DEFAULT NULL
3) In a screen session (because it takes forever) run: `php -f password_fix.php`
Comment 1 Jeremy Orem [:oremj] 2011-02-08 15:07:34 PST
[root@mradm02 www.getpersonas.com]# svn up
U    server/personadetail.php
U    server/faq.php
U    server/locale/nl/LC_MESSAGES/messages.po
 U   server/locale
U    server/firstrun.php
UU   server/lib/user.php
UU   server/lib/personas_functions.php
UU   server/lib/storage.php
U    server/updated.php
U    server/signin.php
U    server/upload_forms.php
U    server/external/mozilla/footer.php
U    server/profile.php
D    server/admin/placeholder_user.php
U    server/admin/editing.php
U    server/admin/pending.php
U    server/admin/dashboard.php
U    server/index.php
U    server/templates/footer.php
U    server/templates/gallery.php
U    server/templates/upload_tos_tmpl.php
U    server/templates/upload_persona_tmpl.php
U    server/templates/delete_persona_success_tmpl.php
U    server/templates/header.php
U    server/templates/persona_detail.php
U    server/templates/ssc_upload_tos_tmpl.php
U    server/templates/delete_persona_tmpl.php
U    server/templates/change_user_details.php
 U   server
UU   static/css/style.css
 U   static/js/script.js
 U   static
A    password_fix.php
 U   .
Updated to revision 82304.
Comment 2 Jeremy Orem [:oremj] 2011-02-08 15:08:43 PST
mysql> alter table users change column md5 md5 varbinary(255) DEFAULT NULL;
Query OK, 1232619 rows affected (16.95 sec)
Records: 1232619  Duplicates: 0  Warnings: 0
Comment 3 Jeremy Orem [:oremj] 2011-02-08 15:18:20 PST
Script is running now.
Comment 4 Jeremy Orem [:oremj] 2011-02-09 15:30:34 PST
Finished. Looks like it changed 1232610 users.
Comment 5 Stephen Donner [:stephend] 2011-02-15 18:56:25 PST
Verified FIXED (successfully pushed).

Note You need to log in before you can comment on or make changes to this bug.